using System.Collections.Generic;
using System.ServiceModel;
using WWWings_GO;
using System.IO;

namespace WWWings_Services
{
 /// <summary>
 /// DienstSchnittstellendefinition 
 /// </summary>
 [ServiceContract]
 public interface IWWWingsBuchungsservice
 {
  [OperationContract]
  Flug GetFlug(int FNummer);

  [OperationContract]
  Stream GetFoto(string stadt);

  [OperationContract]
  Passagier GetPassagier(int PNummer);

  [OperationContract]
  List<Flug> GetFluege(string Abflugort, string Zielort);

  [OperationContract]
  List<Passagier> GetPassagiere(string Name);

  [OperationContract]
  string SavePassagierSet(List<Passagier> PassagierSet);

  [OperationContract]
  string CreateBuchung(int FlugID, int PassagierID);

  [OperationContract]
  List<string> GetFlughaefen();
 }
}

